\name{chow.etal}
\alias{chow.etal}
\docType{data}
\title{
DASL array data on 57 subjects from Chow et al.
}
\description{
Rows are the Illumina ids and columns are the sample ids
}
\usage{data(chow.etal)}
\format{
  A data frame with 24526 observations on the following 57 variables.
  \describe{
    \item{\code{57B}}{a numeric vector}
    \item{\code{61B}}{a numeric vector}
    \item{\code{64B}}{a numeric vector}
    \item{\code{66B}}{a numeric vector}
    \item{\code{69A}}{a numeric vector}
    \item{\code{48B}}{a numeric vector}
    \item{\code{52A}}{a numeric vector}
    \item{\code{54B}}{a numeric vector}
    \item{\code{55B}}{a numeric vector}
    \item{\code{56A}}{a numeric vector}
    \item{\code{59A}}{a numeric vector}
    \item{\code{60A}}{a numeric vector}
    \item{\code{27A}}{a numeric vector}
    \item{\code{45B}}{a numeric vector}
    \item{\code{46A}}{a numeric vector}
    \item{\code{47A}}{a numeric vector}
    \item{\code{49A}}{a numeric vector}
    \item{\code{50A}}{a numeric vector}
    \item{\code{51B}}{a numeric vector}
    \item{\code{25A}}{a numeric vector}
    \item{\code{36A}}{a numeric vector}
    \item{\code{37B}}{a numeric vector}
    \item{\code{38B}}{a numeric vector}
    \item{\code{40B}}{a numeric vector}
    \item{\code{41B}}{a numeric vector}
    \item{\code{44A}}{a numeric vector}
    \item{\code{21C}}{a numeric vector}
    \item{\code{29B}}{a numeric vector}
    \item{\code{31A}}{a numeric vector}
    \item{\code{32C}}{a numeric vector}
    \item{\code{33B}}{a numeric vector}
    \item{\code{34A}}{a numeric vector}
    \item{\code{35A}}{a numeric vector}
    \item{\code{16A}}{a numeric vector}
    \item{\code{19A}}{a numeric vector}
    \item{\code{20A}}{a numeric vector}
    \item{\code{22A}}{a numeric vector}
    \item{\code{23A}}{a numeric vector}
    \item{\code{24A}}{a numeric vector}
    \item{\code{26B}}{a numeric vector}
    \item{\code{13B}}{a numeric vector}
    \item{\code{11A}}{a numeric vector}
    \item{\code{12B}}{a numeric vector}
    \item{\code{14A}}{a numeric vector}
    \item{\code{15B}}{a numeric vector}
    \item{\code{17A}}{a numeric vector}
    \item{\code{18B}}{a numeric vector}
    \item{\code{7A}}{a numeric vector}
    \item{\code{8B}}{a numeric vector}
    \item{\code{3A}}{a numeric vector}
    \item{\code{4B}}{a numeric vector}
    \item{\code{5A}}{a numeric vector}
    \item{\code{6B}}{a numeric vector}
    \item{\code{1A}}{a numeric vector}
    \item{\code{2B}}{a numeric vector}
    \item{\code{70B}}{a numeric vector}
    \item{\code{74C}}{a numeric vector}
  }
}
\details{
This is a subset of the GEO submitted data which contains the 57
subjects described in QC work of Chow et al. below.
}
\source{
http://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE28475

}
\references{
Chow ML, Winn ME, Li HR, April C et al. Preprocessing and Quality Control Strategies for Illumina DASL Assay-Based Brain Gene Expression Studies with Semi-Degraded Samples. Front Genet 2012;3:11. PMID: 22375143

}
\examples{
data(chow.etal)
## maybe str(chow.etal) ; plot(chow.etal) ...
}
\keyword{datasets}
